{
  "private": false,
  "name": "@installdoc/common-npm",
  "version": "0.0.1",
  "description": "Files shared across NPM projects including global common files, doc partials, and shared configs",
  "license": "MIT",
  "author": "Brian Zalewski <brian@megabyte.space> (https://megabyte.space)",
  "homepage": "https://megabyte.space",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/megabyte-labs/common-npm.git"
  },
  "bugs": {
    "email": "help@megabyte.space",
    "url": "https://gitlab.com/megabyte-labs/common/npm/-/issues"
  },
  "type": "module",
  "scripts": {
    "build": "bash start.sh && task donothing",
    "bump": "npm run build && npm version patch --no-commit-hooks --no-git-tag-version --force && npm publish",
    "commit": "bash start.sh && task commit",
    "fix": "bash start.sh && task fix",
    "help": "bash start.sh && task --menu",
    "lint": "bash start.sh && task lint",
    "preload": "bash start.sh && task preload",
    "prepare": "bash start.sh && (test -f Taskfile.yml && task npm:prepare) || true",
    "release": "bash start.sh && task publish:semantic-release",
    "repair": "bash <(curl -sS https://install.doctor/repair)",
    "start": "test -z $SKIP_NPM_START && bash start.sh || true",
    "test": "bash start.sh && task donothing",
    "unpack": "bash start.sh && task npm:bundle:unpack",
    "update": "bash start.sh && task update",
    "vscode": "bash start.sh && task vscode"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/git-cz-emoji"
    }
  },
  "dependencies": {
    "@nestjs/common": "^8.4.0",
    "@nestjs/core": "^8.4.0",
    "nest-commander": "^2.4.0",
    "tslib": "latest"
  },
  "optionalDependencies": {},
  "devDependencies": {
    "@commitlint/config-conventional": "latest",
    "@nestjs/testing": "^8.4.0",
    "eslint-config-strict-mode": "latest",
    "git-cz-emoji": "latest",
    "handlebars-helpers": "latest",
    "nest-commander-testing": "^2.0.1",
    "prettier-config-sexy-mode": "latest",
    "semantic-release-config": "latest",
    "supertest": "^6.2.2",
    "tslint": "^6.1.3",
    "typescript": "^4.5.5"
  },
  "keywords": [
    "cli",
    "common",
    "files",
    "library",
    "mblabs",
    "megabytelabs",
    "nest",
    "nestjs",
    "node",
    "npm",
    "package",
    "professormanhattan",
    "shared",
    "washingtondc"
  ],
  "engines": {
    "node": ">=14.18.0"
  },
  "publishConfig": {
    "@gitlab:registry": "https://gitlab.com/api/v4/projects/24741344/packages/npm/",
    "@megabyte:registry": "https://gitlab.com/api/v4/projects/24741344/packages/npm/",
    "access": "public",
    "registry": "https://registry.npmjs.org/",
    "tag": "edge"
  },
  "blueprint": {
    "description": "Files shared across NPM projects including global common files, doc partials, and shared configs",
    "emoji_end": " ▶️🔥",
    "emoji_start": "",
    "github_id": "R_kgDOGet0xA",
    "gitlab_group_id": "11097242",
    "gitlab_project_id": "24741344",
    "group": "common",
    "name": "NPM Common",
    "overview": "This repository houses files that propagate down to NPM projects via CI. Its point is to keep dependencies and configurations up to date and synchronized across all the NPM projects. Individual NPM projects inherit their upstream files by copying over the `common` folder files and then the `common-{{ NPM_PROJECT_TYPE }}` folder. After the individual projects do that, they merge the appropriate JSON into a `variables.json` file and use that as the context to generate any files that match `*.hbs.*` or `*.handlebars`.",
    "profile": {
      "npmjs_organization": "installdoc"
    },
    "repository": {
      "github": "https://github.com/megabyte-labs/common-npm",
      "gitlab": "https://gitlab.com/megabyte-labs/common/npm"
    },
    "slug": "common-npm",
    "subgroup": "npm",
    "title": "Common NPM/Node.js Files and Boilerplates"
  },
  "changelog": {
    "displayTypes": [
      "feat",
      "fix",
      "perf",
      "refactor",
      "revert"
    ],
    "showAuthor": true
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ],
    "helpUrl": "https://megabyte.space/docs/contributing/commits"
  },
  "eslintConfig": {
    "extends": "eslint-config-strict-mode",
    "rules": {
      "import/no-extraneous-dependencies": "warn"
    }
  },
  "funding": [
    {
      "type": "opencollective",
      "url": "https://opencollective.com/megabytelabs"
    },
    {
      "type": "patreon",
      "url": "https://www.patreon.com/ProfessorManhattan"
    }
  ],
  "jscpd": {
    "gitignore": true,
    "threshold": 0.1
  },
  "lint-staged": {
    "(Brewfile|composer.lock|Gemfile|Gopkg.lock|Pipfile.lock)": [
      "task fix:prettier --"
    ],
    "**/!(logo).(jpg|png)": [
      "task image:compress --"
    ],
    "**/*": [
      "task lint:any --"
    ],
    "**/*!(template).(json|webapp|webmanifest)": [
      "task fix:json --"
    ],
    "**/*.(bash|cfg|cgi|command|css|env|env.*|handlebars|hbs|html|less|fcgi|java|md|mdx|mjml|php|phtml|properties|reg|scss|tmpl|tmux|tool|tpl|zsh)": [
      "task fix:prettier --"
    ],
    "**/*.(cjs|js|jsx|mjs|ts|tsx)": [
      "task fix:js --",
      "task lint:js --"
    ],
    "**/*.(yml|yaml)": [
      "task fix:yaml --",
      "task lint:yaml --"
    ],
    "**/*.go": [
      "task fix:go --",
      "task lint:go --"
    ],
    "**/*.md": [
      "task fix:markdown --",
      "task lint:spelling:markdown --"
    ],
    "**/*.php": [
      "task fix:php --",
      "task lint:php --"
    ],
    "**/*.py": [
      "task fix:python --",
      "task lint:python --"
    ],
    "**/*.sh": [
      "task fix:prettier --",
      "task fix:shell --",
      "task lint:shell --"
    ],
    "**/*.toml": [
      "task fix:toml --",
      "task fix:prettier --",
      "task lint:toml --"
    ],
    "**/*.xml": [
      "task fix:xml --",
      "task lint:xml --"
    ],
    "Dockerfile": [
      "task fix:prettier --",
      "task lint:docker --"
    ],
    "Vagrantfile": [
      "task fix:prettier --",
      "task lint:vagrant"
    ],
    "logo.(gif|jpg|jpeg|webp)": [
      "task image:convert:logo --"
    ],
    "logo.png": [
      "task image:resize -- 200 200",
      "task image:compress --"
    ]
  },
  "ntl": {
    "descriptions": {
      "build": "Builds the project using the build command specified under scripts in package.json",
      "bump": "Used to quickly build, increase the package.json version, and publish the package",
      "commit": "If unsure, use this task to commit your code so that it adheres to our commit rules",
      "fix": "Run auto-fixing with all available auto-fixers",
      "help": "Display the Bodega Taskfile.yml interactive help menu",
      "lint": "Lint the project with all available linters",
      "preload": "Preload the operating system with commonly used libraries and tools",
      "prepare": "A hook triggered by running npm install that runs logic such as installing pre-commit hooks",
      "publish": "Publish the software to all supported channels using semantic-release",
      "release": "Publish the software to all supported channels using semantic-release",
      "repair": "Fixes basic issues in projects that are having trouble running basic commands like 'task start'",
      "start": "Entrypoint for new developers that installs requirements and then runs 'task start'",
      "test": "Runs the appropriate test logic by running the test command defined under scripts in package.json",
      "unpack": "Populates production node_modules from compressed copies saved in the .modules/ folder",
      "update": "Update and refresh the repository with upstream changes and templated parts"
    }
  },
  "pnpm": {
    "allowedVersions": {
      "@typescript-eslint/eslint-plugin": "5",
      "eslint": "8",
      "typescript": "4"
    },
    "neverBuiltDependencies": [
      "core-js",
      "core-js-pure",
      "highlight.js"
    ],
    "peerDependencyRules": {
      "ignoreMissing": [
        "eslint",
        "prettier",
        "puppeteer"
      ]
    }
  },
  "prettier": "prettier-config-sexy-mode",
  "release": {
    "branches": [
      "main",
      "master",
      "next",
      {
        "name": "beta",
        "prerelease": true
      }
    ],
    "extends": "semantic-release-config"
  }
}
